Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to install Gmail Notify on GNOME 3 but it was not working. When I click over the icon, it says

"Extension requires Goa, Soup, Gio typelibs".

What does it mean? How can I fix this and get Gmail Notify working?

My configuration
Ubuntu 11.10, GNOME Shell 3.2.2.1

share|improve this question
add comment

1 Answer

up vote 0 down vote accepted

You need to install the libraries gir1.2-soup, gir1.2-goa, and gir1.2-glib.

Just do

sudo apt-get update
sudo apt-get install gir1.2-soup gir1.2-goa gir1.2-glib

Also, don't forget to add your Gmail account into "Online Accounts".


In case you're using 12.04, an anonymous user suggested the following:

On 12.04 I found that after installing the pre-requisites above, you had to:

  1. Go to the Installed Extensions page, https://extensions.gnome.org/local/ and click on the (X) to remove gmail notifier.

  2. Install it again from https://extensions.gnome.org/extension/154/gmail-notify/ by setting the slider to "on"

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.